package com.zhongdao.jlr.business.dao;

import com.dubh.common.dao.Dao;
import com.util.Vo;
import com.zhongdao.jlr.pojo.BaseUser;
import com.zhongdao.jlr.pojo.EnterpriseJlr;

/***
 * 接口
 */
public interface EnterpriseDao extends Dao {

    /****
     * 获取经销商维护信息
     * @param name
     * @param page
     * @param rows
     * @return
     */
    public Vo searchEnterprise(String name,String abbrCode,
                               Integer page, Integer rows);

    /***
     * 删除经销商信息
     * @param id
     * @return
     */
    public boolean deleteById(String id);

    /***
     * 保存经销商信息
     * @param enterprise
     * @return
     */
    public boolean putEnterprise(EnterpriseJlr enterprise);

    /****
     * 保存用户信息
     * @param systemUser
     * @return
     */
    boolean putSystemUser(BaseUser systemUser);

    /***
     * 根据id查询经销商
     * @param id
     * @return
     */
    public EnterpriseJlr getById(String id);
}
